Package org.gradle.tooling.model.eclipse

# Interface EclipseProjectDependency

All Superinterfaces:
  `Dependency`, `EclipseClasspathEntry`, `ProjectDependency`

public interface EclipseProjectDependency extends ProjectDependency, EclipseClasspathEntry
Represents a dependency on another Eclipse project.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPath()`
Returns the path to use for this project dependency.
`HierarchicalEclipseProject`
`getTargetProject()`
Deprecated.
`boolean`
`isExported()`
Marks this dependency as exported.

### Methods inherited from interface org.gradle.tooling.model.eclipse.EclipseClasspathEntry

`getAccessRules, getClasspathAttributes`

## Method Details

### getTargetProject

@Deprecated HierarchicalEclipseProject getTargetProject()
Deprecated.
Returns the target of this dependency.

Returns:
  The target project, or null for a dependency on a different build within a composite.

### getPath

String getPath()
Returns the path to use for this project dependency.

### isExported

boolean isExported()
Marks this dependency as exported.

Returns:
  whether this dependency needs to be exported.
Since:
  2.5